### Method

# EDataServer SourceMailComposition set_language

since: 3.32

#### Declaration [src]

    void
    e_source_mail_composition_set_language (
      ESourceMailComposition* extension,
      const gchar* language
    )

#### Description [src]

Sets the preferred language by an identifier string, like “en_US”. Use `NULL` to unset any previous value.

The internal copy of `language` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.32

Sets property | `EDataServer.SourceMailComposition:language`

#### Parameters

`language`

  Type: `const gchar*`

  An identifier for the preferred language, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.